package com.zd.exam.domain.vo;

import com.zd.exam.domain.ElPointsLoginfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/21
 */
public class ElPointsCountVO {

    @ApiModelProperty(value = "日期统计")
    private String yearMonth;
    @ApiModelProperty(value = "扣减积分")
    private Long deductPoints;
    @ApiModelProperty(value = "获取积分")
    private Long obtainPoints;

    List <ElPointsLoginfo> elPointsLoginfoList = new ArrayList<>();

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public Long getDeductPoints() {
        return deductPoints;
    }

    public void setDeductPoints(Long deductPoints) {
        this.deductPoints = deductPoints;
    }

    public Long getObtainPoints() {
        return obtainPoints;
    }

    public void setObtainPoints(Long obtainPoints) {
        this.obtainPoints = obtainPoints;
    }

    public List <ElPointsLoginfo> getElPointsLoginfoList() {
        return elPointsLoginfoList;
    }

    public void setElPointsLoginfoList(List <ElPointsLoginfo> elPointsLoginfoList) {
        this.elPointsLoginfoList = elPointsLoginfoList;
    }
}
